openwhisk-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From dgr...@apache.org
Subject [incubator-openwhisk-deploy-kube] branch master updated: test both DockerContainerFactory and KubernetesContainerFactory (#172)
Date Mon, 02 Apr 2018 14:48:56 GMT
This is an automated email from the ASF dual-hosted git repository.

dgrove pushed a commit to branch master
in repository https://gitbox.apache.org/repos/asf/incubator-openwhisk-deploy-kube.git


The following commit(s) were added to refs/heads/master by this push:
     new 7db428c  test both DockerContainerFactory and KubernetesContainerFactory (#172)
7db428c is described below

commit 7db428c99bba42c57aa115c370ff25dac43711f8
Author: David Grove <dgrove-oss@users.noreply.github.com>
AuthorDate: Mon Apr 2 10:48:54 2018 -0400

    test both DockerContainerFactory and KubernetesContainerFactory (#172)
    
    * bug fix; define invoker ServiceAccount in openwhisk namespace for KubernetesContainerFactory
    
    * travis matrix to run both Docker and Kube ContainerFactory impls
---
 .travis.yml                          |  3 +++
 kubernetes/invoker/invoker-k8scf.yml |  1 +
 tools/travis/build.sh                | 22 ++++++++++++++++------
 3 files changed, 20 insertions(+), 6 deletions(-)

diff --git a/.travis.yml b/.travis.yml
index 2c91ef9..584f4bb 100644
--- a/.travis.yml
+++ b/.travis.yml
@@ -6,6 +6,9 @@ env:
   - TRAVIS_MINIKUBE_VERSION=v0.23.0
   - secure: d7CuMXbhT83W2x78qiLwgogX1+3aPicd1PlTwwNNDN6QSkImbxareyKThnsqlHIiNj3o5l5DBuiYjy7wrF/xD1g8BQMmTwm99DRx5q3CI3Im3VCi/ZK8SaNjuOy24d7cf5k2tB/87Gk7zmKsMDYm+fpCl+GpgUmIEeIwthiAxuXSDWZ8eQPIptmxj56DeFRNouvXG+dEUtBfWiwN27UPxNKExCixFnegmdtffLbz6hhst7BHr5Ry9acbycre98PCwWZcu9lxFs+SJ1kvnzX2iue4otmDkF1WkJjxaOFPJVs/D3YItg+neLCSxjwBskPed+Fct8bOjcM/uVROJPNIq5icBmaPX2isH0lvtxOeVw/dmioWYXYPN9ygBOe4eO/vtPllN0bcAUo5xl9jXev8ciAozYrYpHVh9Fplfd81rcYTeYzALmRJBdoiWoc3KQGzwGc9sB1ffmy+KWgG9T0zbnS4fALSR4PS
[...]
   - secure: CJtnU94HTDqd4A6uvhFl8IpnmU+wTdlzb8bPBFUl/lI/VKXiRrYpgJdKUro5xEoxFKuqMprLhbyf66niyWLTIeogjUAEu/h/o2dBVeGgSGKoqC0hQgqvnxKFeGlzFJ0XuEs3vbStJGRnQszGsfnnDrscJtR0x9X+1w4aBKI7iPyyuFtVkDD1UsmBbSi+M8FTeq7G7A0reMDaey7uog3CFCpIMl4geshcohQEcKEGbnXQZoLPFpb7cBOE83VXBJ7Y7Dgf/U4keiLovvnuJThGKZm/SVV2KlELmBmtmbx3rMT6Vb5k9ChSdRWapromNnnzmJBIQ5Scc2mwV3A93/SMha1F3IlYpDKs5djfTw8jZfVnuiou7HhTaRjHkmmcwP12/k30gLe2kw0Vezg1TCY4zgtOpcmCxc8RHEy0ceA74rKvRi8LbexTCwX+iAMQFn/pSrh/OqAq/50JbLyczcoO1zXWS38txUQN
[...]
+  matrix:
+    - OW_CONTAINER_FACTORY=docker
+    - OW_CONTAINER_FACTORY=kube
 
 services:
   - docker
diff --git a/kubernetes/invoker/invoker-k8scf.yml b/kubernetes/invoker/invoker-k8scf.yml
index 7c5129c..334c6b6 100644
--- a/kubernetes/invoker/invoker-k8scf.yml
+++ b/kubernetes/invoker/invoker-k8scf.yml
@@ -1,6 +1,7 @@
 apiVersion: v1
 kind: ServiceAccount
 metadata:
+  namespace: openwhisk
   name: invoker
 
 ---
diff --git a/tools/travis/build.sh b/tools/travis/build.sh
index 8feaceb..fd14dba 100755
--- a/tools/travis/build.sh
+++ b/tools/travis/build.sh
@@ -210,13 +210,23 @@ pushd kubernetes/controller
 popd
 
 # setup the invoker
-echo "Deploying invoker using DockerContainerFactory"
 pushd kubernetes/invoker
-  kubectl -n openwhisk create cm invoker.config --from-env-file=invoker-dcf.env
-  kubectl apply -f invoker-dcf.yml
-
-  # wait until the invoker is ready
-  deploymentHealthCheck "invoker"
+    if [ "$OW_CONTAINER_FACTORY" = "docker" ]; then
+        echo "Deploying invoker using DockerContainerFactory"
+        kubectl -n openwhisk create cm invoker.config --from-env-file=invoker-dcf.env
+        kubectl apply -f invoker-dcf.yml
+        deploymentHealthCheck "invoker"
+    elif [ "$OW_CONTAINER_FACTORY" = "kube" ]; then
+        echo "Deploying invoker using KubernetesContainerFactory"
+        kubectl -n openwhisk create cm invoker.config --from-env-file=invoker-k8scf.env
+        kubectl apply -f invoker-agent.yml
+        deploymentHealthCheck "invoker-agent"
+        kubectl apply -f invoker-k8scf.yml
+        deploymentHealthCheck "invoker-0"
+    else
+        echo "Unknown container factory $OW_CONTAINER_FACTORY"
+        exit 1
+    fi
 popd
 
 # setup nginx

-- 
To stop receiving notification emails like this one, please contact
dgrove@apache.org.

Mime
View raw message